Subject: Re: bug#31764: 26.1; Point in VC change log is not centered as documented

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Jun 2018 09:46:42 +0300

> From: Noam Postavsky <[email-masked]>
> Cc: Carlos Pita <[email-masked]>,  [email-masked]
> Date: Fri, 08 Jun 2018 20:29:42 -0400
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Carlos Pita <[email-masked]>
> >> Date: Fri, 8 Jun 2018 16:57:33 -0300
> >> Cc: [email-masked]
> 
> >> Now I run `emacs -Q test-file` and type C-x v l and get the window
> >> shown in the attached screenshot.
> >
> > Strange.  I just did all of these steps, and I still get the
> > documented behavior.
> >
> > What version of Git do you have?  (Not that I can explain how that
> > could matter.)
> 
> I can reproduce this on GNU/Linux, but not on Windows (both tested with
> latest emacs-26).

Isn't that strange?  The code involved isn't platform specific.

On a hunch, I suggest to set switch-to-buffer-preserve-window-point to
nil, and see if that makes the problem disappear.  If it does, then
the difference between platforms is that one of them changes buffers
in a different sequence.